aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2015-07-24 16:28:12 +0100
committerRyan Harkin <ryan.harkin@linaro.org>2015-07-24 16:28:26 +0100
commitf7d633b22be91eef2df40b57c52fd856ab532768 (patch)
tree1f807a977bc4ff9635e87b31da0943108e771fb1
parent1df3a5570d1b5c2dfe8e06dd28649e0f27d81ec6 (diff)
fix warning: cannot remove ‘uInitrd-*’armlt-20150724-001
When packaging, the user would see errors like this: rm: cannot remove ‘uInitrd-*’: No such file or directory However, it's not really an error, so mute it by adding a -f to the rm commands. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
-rwxr-xr-xbuild-target-bins.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/build-target-bins.sh b/build-target-bins.sh
index 0f70469..834e49c 100755
--- a/build-target-bins.sh
+++ b/build-target-bins.sh
@@ -273,8 +273,8 @@ do_package()
# clean up unwanted artifacts left in output directory
pushd ${OUTDIR}
- rm uInitrd-* || :
- rm ramdisk*.img || :
+ rm -f uInitrd-* || :
+ rm -f ramdisk*.img || :
rm -rf linux || :
rm -rf ${TARGET_BINS_PLATS} || :
rm -rf oe || :